# Uses of Class
org.snpeff.interval.Genome

Packages that use Genome
Package
Description
org.snpeff
org.snpeff.binseq
org.snpeff.codons
org.snpeff.fileIterator
org.snpeff.fileIterator.microCosm
org.snpeff.interval
org.snpeff.interval.tree
org.snpeff.probablility
org.snpeff.serializer
org.snpeff.snpEffect
org.snpeff.spliceSites
org.snpeff.stats

## Uses of Genome in org.snpeff

Fields in org.snpeff declared as Genome
Modifier and Type
Field
Description
`protected Genome`
SnpEff.`genome`

## Uses of Genome in org.snpeff.binseq

Constructors in org.snpeff.binseq with parameters of type Genome
Modifier
Constructor
Description
``
`GenomicSequences(Genome genome)`

## Uses of Genome in org.snpeff.codons

Methods in org.snpeff.codons with parameters of type Genome
Modifier and Type
Method
Description
`String`
CodonTables.`aa(String codon, Genome genome, String chromosome)`
Translate a codon into an amino acid for a given genome+chromosome
`List<String>`
CodonTables.`codon(String aa, Genome genome, String chromosome)`
Translate an amino acid into a codon for a given genome+chromosome
`CodonTable`
CodonTables.`getTable(Genome genome)`
Get default genome-wide codon table
`CodonTable`
CodonTables.`getTable(Genome genome, String chromosome)`
Get a codon table WARNING: It will return the standard codon table if nothing if found
`void`
CodonTables.`set(Genome genome, CodonTable codonTable)`
Set a codon table for a all chromosomes in a genome I.e.: Default genome-wide chromosome table
`void`
CodonTables.`set(Genome genome, Chromosome chr, CodonTable codonTable)`
Set a codon table for a given genome invalid input: '&' chromosome
Constructors in org.snpeff.codons with parameters of type Genome
Modifier
Constructor
Description
``
`FindRareAaIntervals(Genome genome)`

## Uses of Genome in org.snpeff.fileIterator

Fields in org.snpeff.fileIterator declared as Genome
Modifier and Type
Field
Description
`protected Genome`
MarkerFileIterator.`genome`
`protected Genome`
VcfHapMapFileIterator.`genome`
Methods in org.snpeff.fileIterator that return Genome
Modifier and Type
Method
Description
`Genome`
MarkerFileIterator.`getGenome()`
Constructors in org.snpeff.fileIterator with parameters of type Genome
Modifier
Constructor
Description
``
`BedFileIterator(String fileName, Genome genome)`
``
`Gff3FileIterator(String fileName, Genome genome)`
``
`Gff3FileIterator(String fileName, Genome genome, int inOffset)`
``
`MarkerFileIterator(String fileName, Genome genome, int inOffset)`
``
`MotifFileIterator(String fileName, Genome genome, Jaspar jaspar)`
``
`RegulationBedFileIterator(String fileName, Genome genome, String name, String cellType)`
``
`RegulationFileIterator(String fileName, Genome genome, int inOffset)`
``
`RegulationGffFileIterator(String fileName, Genome genome)`
``
`VariantFileIterator(String fileName, Genome genome)`
``
`VariantTxtFileIterator(String fileName, Genome genome)`
``
`VcfFileIterator(String fileName, Genome genome)`
``
`VcfHapMapFileIterator(String hapMapFileName, String fatsaFileName, Genome genome)`

## Uses of Genome in org.snpeff.fileIterator.microCosm

Methods in org.snpeff.fileIterator.microCosm with parameters of type Genome
Modifier and Type
Method
Description
`MicroRnaBindingSite`
MicroCosmEntry.`getMarker(Genome genome)`
Create a MicroRnaBindingSite marker

## Uses of Genome in org.snpeff.interval

Methods in org.snpeff.interval that return Genome
Modifier and Type
Method
Description
`static Genome`
Genome.`createFromFaidx(String genomeName, String faidxFile)`
Create a genome from a faidx file.
`Genome`
Interval.`getGenome()`
Find genome
Methods in org.snpeff.interval with parameters of type Genome
Modifier and Type
Method
Description
`void`
Markers.`load(String fileName, Genome genome)`
`protected void`
GffMarker.`parse(Genome genome, String line)`
Parse an entry (line) from a GFF file
`void`
Marker.`readTxt(String line, int lineNum, Genome genome, int positionBase)`
Parse a line (form a file) Format: "chromosome \t start \t end \t id \n"
`static Markers`
MarkerUtil.`readTxt(String fileName, Genome genome, int positionBase)`
Read intervals from a file using a simplt TXT format Format: chr \t start \t end \t id Note: Zero-based positions
Constructors in org.snpeff.interval with parameters of type Genome
Modifier
Constructor
Description
``
`Chromosome(Genome parent, int start, int end, String id)`
``
`CytoBands(Genome genome)`
``
`ExonSpliceCharacterizer(Genome genome)`
``
`Genes(Genome genome)`
``
`GffMarker(Genome genome, String line)`
``
`Gtf2Marker(Genome genome, String line)`

## Uses of Genome in org.snpeff.interval.tree

Methods in org.snpeff.interval.tree with parameters of type Genome
Modifier and Type
Method
Description
`void`
IntervalTree.`load(String fileName, Genome genome)`
`void`
IntervalTreeArray.`load(String fileName, Genome genome)`
`void`
IntervalTreeOri.`load(String fileName, Genome genome)`
`void`
Itree.`load(String fileName, Genome genome)`
Load intervals from file

## Uses of Genome in org.snpeff.probablility

Constructors in org.snpeff.probablility with parameters of type Genome
Modifier
Constructor
Description
``
`RandMarker(Genome genome)`
``
`RandMarker(Genome genome, int seed)`

## Uses of Genome in org.snpeff.serializer

Constructors in org.snpeff.serializer with parameters of type Genome
Modifier
Constructor
Description
``
`MarkerSerializer(Genome genome)`

## Uses of Genome in org.snpeff.snpEffect

Fields in org.snpeff.snpEffect declared as Genome
Modifier and Type
Field
Description
`protected Genome`
Hgvs.`genome`
Methods in org.snpeff.snpEffect that return Genome
Modifier and Type
Method
Description
`Genome`
Config.`getGenome()`
`Genome`
Config.`getGenome(String genomeId)`
`Genome`
SnpEffectPredictor.`getGenome()`
Constructors in org.snpeff.snpEffect with parameters of type Genome
Modifier
Constructor
Description
``
`Config(Genome genome)`
This constructor is used in test cases
``
`SnpEffectPredictor(Genome genome)`

## Uses of Genome in org.snpeff.spliceSites

Constructors in org.snpeff.spliceSites with parameters of type Genome
Modifier
Constructor
Description
``
`TranscriptSet(Genome genome)`

## Uses of Genome in org.snpeff.stats

Constructors in org.snpeff.stats with parameters of type Genome
Modifier
Constructor
Description
``
`VariantEffectStats(Genome genome)`
``
`VariantStats(Genome genome)`